"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.retrieveRegionBasedUrl = exports.shouldUseFramedMode = exports.isUrlWhitelisted = exports.whitelistedUrls = void 0;
var platform_1 = require("./platform");
exports.whitelistedUrls = [
    "https://oc-cdn-ppe2.azureedge.net",
    "https://oc-cdn-public.azureedge.net",
    "https://oc-cdn-public-sam.azureedge.net",
    "https://oc-cdn-ocuae-uae.azureedge.net",
    "https://oc-cdn-ocfra-fra.azureedge.net",
    "https://oc-cdn-public-ger.azureedge.net",
    "https://oc-cdn-public-che.azureedge.net",
    "https://oc-cdn-public-ind.azureedge.net",
    "https://oc-cdn-public-gbr.azureedge.net",
    "https://oc-cdn-public-apj.azureedge.net",
    "https://oc-cdn-public-oce.azureedge.net",
    "https://oc-cdn-public-jpn.azureedge.net",
    "https://oc-cdn-public-eur.azureedge.net",
    "https://oc-cdn-ocprod.azureedge.net",
    "https://ocprodocprodnamgs.blob.core.usgovcloudapi.net"
];
var isUrlWhitelisted = function (url) {
    return exports.whitelistedUrls.includes(url);
};
exports.isUrlWhitelisted = isUrlWhitelisted;
var shouldUseFramedMode = function (disableWhitelistedUrls) {
    if (disableWhitelistedUrls === void 0) { disableWhitelistedUrls = true; }
    if ((0, platform_1.isBrowser)() && disableWhitelistedUrls === false) {
        var domain = window.location.origin || '';
        return (0, exports.isUrlWhitelisted)(domain) ? false : true; // Framed mode is used when domain is not whitelisted
    }
    return (0, platform_1.isBrowser)();
};
exports.shouldUseFramedMode = shouldUseFramedMode;
var retrieveRegionBasedUrl = function (widgetSnippetBaseUrl) {
    if ((0, platform_1.isBrowser)() && widgetSnippetBaseUrl) {
        var regionBasedUrl = "".concat(widgetSnippetBaseUrl, "/livechatwidget/v2scripts/ams");
        return regionBasedUrl;
    }
    return '';
};
exports.retrieveRegionBasedUrl = retrieveRegionBasedUrl;
//# sourceMappingURL=AMSClientUtils.js.map